Bug 582285 - [F13]: live migration causes guest filesystem to go read-only
[F13]: live migration causes guest filesystem to go read-only
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 10:50 EDT by Chris Lalancette
Modified: 2013-01-09 06:33 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 12:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Libvirt XMl output for F13 x86_64 guest (1.56 KB, text/xml)
2010-04-14 10:50 EDT, Chris Lalancette
no flags Details
Libvirt log file for F13 x86_64 guest (860 bytes, text/plain)
2010-04-14 10:51 EDT, Chris Lalancette
no flags Details

  None (edit)
Description Chris Lalancette 2010-04-14 10:50:04 EDT
Created attachment 406538 [details]
Libvirt XMl output for F13 x86_64 guest

Description of problem:
I'm running live migration tests as part of the Fedora Virtualization test day.  I have two x86_64 hosts, A and B, which both are running the latest F-13 packages (versions below).  I also have an x86_64 F-13 guest with a single vcpu and 1G of memory installed on host A (full libvirt XML and generated qemu-kvm command-line attached).  When I try to do a live migration using libvirt from host A to host B, the migration seems to succeed.  However, once the guest reaches the destination, I get these errors in the guest:

end_request: I/O error, dev vda, sector 6836383
Buffer I/O error on device dm-0, logical block 803292
lost page write due to I/O error on dm-0
end_request: I/O error, dev vda, sector 1945543
Buffer I/O error on device dm-0, logical block 191937
lost page write due to I/O error on dm-0
JBD2: Detected IO errors while flushing file data on dm-0-8
end_request: I/O error, dev vda, sector 17451543
Aborting journal on device dm-0-8.
EXT4-fs error (device dm-0): ext4_journal_start_sb: 
end_request: I/O error, dev vda, sector 17449407
Buffer I/O error on device dm-0, logical block 2129920
lost page write due to I/O error on dm-0
Detected aborted journal
EXT4-fs (dm-0): Remounting filesystem read-only
JBD2: I/O error detected when updating journal superblock for dm-0-8.
journal commit I/O error
end_request: I/O error, dev vda, sector 1984399
Buffer I/O error on device dm-0, logical block 196794
lost page write due to I/O error on dm-0
JBD2: Detected IO errors while flushing file data on dm-0-8
type=1305 audit(1271255941.271:25): audit_pid=0 old=849 auid=4294967295 ses=4294967295 subj=system_u:system_r:auditd_t:s0 res=1
type=1305 audit(1271255941.272:26): audit_pid=0 old=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:auditd_t:s0 res=1
end_request: I/O error, dev vda, sector 486087
EXT4-fs error (device dm-0): ext4_find_entry: reading directory #49075 offset 0

Shortly afterwards, the guest crashes.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.12.3-6.fc13.x86_64
kernel-2.6.33.2-41.fc13.x86_64
libvirt-0.7.7-1.fc13.x86_64
Comment 1 Chris Lalancette 2010-04-14 10:51:13 EDT
Created attachment 406539 [details]
Libvirt log file for F13 x86_64 guest
Comment 2 Bug Zapper 2011-06-02 11:22:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lalancette 2011-06-02 12:11:11 EDT
I don't really have the time to follow up on this.  Given that there have been substantial changes in qemu/libvirt, especially in the migration area, I'm just going to close this bug out.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.